## org.eclipse.datatools.connectivity.ui.navigator.actions
Class ExpandAllActionDelegate

    java.lang.Object
      org.eclipse.datatools.connectivity.ui.navigator.actions.ExpandAllActionDelegate

All Implemented Interfaces:
  org.eclipse.ui.IActionDelegate, org.eclipse.ui.IViewActionDelegate

    public class ExpandAllActionDelegate

extends java.lang.Object
implements org.eclipse.ui.IViewActionDelegate

This action delegate collapses all expanded elements in a Navigator view.

This class is experimental and is subject to change.

Constructor Summary
`ExpandAllActionDelegate()` Creates a new instance of the receiver

Method Summary
`static void` `debug(java.lang.String msg)`
`void` `init(org.eclipse.ui.IViewPart view)`
`void` `run(org.eclipse.jface.action.IAction action)`
`void` `selectionChanged(org.eclipse.jface.action.IAction action, org.eclipse.jface.viewers.ISelection selection)`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ExpandAllActionDelegate

    public ExpandAllActionDelegate()

  Creates a new instance of the receiver

Method Detail

### init

    public void init(org.eclipse.ui.IViewPart view)

  Specified by:
    `init` in interface `org.eclipse.ui.IViewActionDelegate`

### selectionChanged

    public void selectionChanged(org.eclipse.jface.action.IAction action,
                                 org.eclipse.jface.viewers.ISelection selection)

  Specified by:
    `selectionChanged` in interface `org.eclipse.ui.IActionDelegate`

### run

    public void run(org.eclipse.jface.action.IAction action)

  Specified by:
    `run` in interface `org.eclipse.ui.IActionDelegate`

### debug

    public static void debug(java.lang.String msg)